Index: code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1624)
+++ code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1625)
@@ -185,31 +185,37 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\Radar.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarListener.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarViewable.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						ObjectFile="$(IntDir)\$(InputName)1.obj"
+						XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						ObjectFile="$(IntDir)\$(InputName)1.obj"
+						XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\Settings.cc"
 				>
 			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\hud\BarOverlayElement.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\HUD.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\Navigation.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarObject.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarOverlayElement.cc"
-					>
-				</File>
-			</Filter>
 			<Filter
 				Name="objects"
@@ -424,13 +430,13 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\TextureGenerator.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\Timer.cc"
 					>
 				</File>
-			</Filter>
-			<Filter
-				Name="console"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\console\InGameConsole.cc"
+				<File
+					RelativePath="..\..\src\orxonox\tools\WindowEventListener.cc"
 					>
 				</File>
@@ -460,4 +466,60 @@
 				</File>
 			</Filter>
+			<Filter
+				Name="overlays"
+				>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OrxonoxOverlay.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayGroup.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayText.cc"
+					>
+				</File>
+				<Filter
+					Name="console"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\console\InGameConsole.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="hud"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDRadar.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDSpeedBar.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="debug"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugFPSText.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.cc"
+						>
+					</File>
+				</Filter>
+			</Filter>
 		</Filter>
 		<Filter
@@ -483,35 +545,19 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\Radar.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarListener.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarViewable.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\Settings.h"
 				>
 			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\hud\BarOverlayElement.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\HUD.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\Navigation.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\OverlayElementFactories.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarObject.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarOverlayElement.h"
-					>
-				</File>
-			</Filter>
 			<Filter
 				Name="objects"
@@ -630,13 +676,13 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\TextureGenerator.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\Timer.h"
 					>
 				</File>
-			</Filter>
-			<Filter
-				Name="console"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\console\InGameConsole.h"
+				<File
+					RelativePath="..\..\src\orxonox\tools\WindowEventListener.h"
 					>
 				</File>
@@ -649,4 +695,60 @@
 					>
 				</File>
+			</Filter>
+			<Filter
+				Name="overlays"
+				>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OrxonoxOverlay.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayGroup.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayText.h"
+					>
+				</File>
+				<Filter
+					Name="hud"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDRadar.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDSpeedBar.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="console"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\console\InGameConsole.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="debug"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugFPSText.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 		</Filter>
